com.independentsoft.exchange

## Class SerializableTimeZoneTime

- java.lang.Object
- - com.independentsoft.exchange.SerializableTimeZoneTime

-     public class SerializableTimeZoneTime
      extends java.lang.Object

  Represents an offset from the time relative to Coordinated Universal Time (UTC).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializableTimeZoneTime()` Initializes a new instance of the SerializableTimeZoneTime class.
    `SerializableTimeZoneTime(int offset, Time time, DayOrder dayOrder, Month month, DayOfWeek dayOfWeek)` Initializes a new instance of the SerializableTimeZoneTime class.
    `SerializableTimeZoneTime(int offset, Time time, DayOrder dayOrder, Month month, DayOfWeek dayOfWeek, java.lang.String year)` Initializes a new instance of the SerializableTimeZoneTime class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DayOfWeek` | `getDayOfWeek()` Gets the day of the week when the transition to and from standard time and daylight saving time occurs.
    `DayOrder` | `getDayOrder()` Gets the nth occurrence of the day that is specified in the DayOfWeek property that represents the date of transition from and to standard time and daylight saving time.
    `Month` | `getMonth()` Gets the transition month of the year to and from standard time and daylight saving time.
    `int` | `getOffset()` Gets the offset from the Coordinated Universal Time (UTC) offset.
    `Time` | `getTime()` Gets the transition time of day to and from standard time and daylight saving time.
    `java.lang.String` | `getYear()` Gets the year.
    `void` | `setDayOfWeek(DayOfWeek dayOfWeek)` Sets the day of the week when the transition to and from standard time and daylight saving time occurs.
    `void` | `setDayOrder(DayOrder dayOrder)` Sets the nth occurrence of the day that is specified in the DayOfWeek property that represents the date of transition from and to standard time and daylight saving time.
    `void` | `setMonth(Month month)` Sets the transition month of the year to and from standard time and daylight saving time.
    `void` | `setOffset(int offset)` Sets the offset from the Coordinated Universal Time (UTC) offset.
    `void` | `setTime(Time time)` Sets the transition time of day to and from standard time and daylight saving time.
    `void` | `setYear(java.lang.String year)` Sets the year.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializableTimeZoneTime

          public SerializableTimeZoneTime()

      Initializes a new instance of the SerializableTimeZoneTime class.

    - #### SerializableTimeZoneTime

          public SerializableTimeZoneTime(int offset,
                                          Time time,
                                          DayOrder dayOrder,
                                          Month month,
                                          DayOfWeek dayOfWeek)

      Initializes a new instance of the SerializableTimeZoneTime class.
      Parameters:
        `offset` - the offset
        `time` - the time
        `dayOrder` - the day order
        `month` - the month
        `dayOfWeek` - the day of week

    - #### SerializableTimeZoneTime

          public SerializableTimeZoneTime(int offset,
                                          Time time,
                                          DayOrder dayOrder,
                                          Month month,
                                          DayOfWeek dayOfWeek,
                                          java.lang.String year)

      Initializes a new instance of the SerializableTimeZoneTime class.
      Parameters:
        `offset` - the offset
        `time` - the time
        `dayOrder` - the day order
        `month` - the month
        `dayOfWeek` - the day of week
        `year` - the year

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Gets the offset from the Coordinated Universal Time (UTC) offset.
      Returns:
        the offset

    - #### setOffset

          public void setOffset(int offset)

      Sets the offset from the Coordinated Universal Time (UTC) offset.
      Parameters:
        `offset` - the new offset

    - #### getTime

          public Time getTime()

      Gets the transition time of day to and from standard time and daylight saving time.
      Returns:
        the time

    - #### setTime

          public void setTime(Time time)

      Sets the transition time of day to and from standard time and daylight saving time.
      Parameters:
        `time` - the new time

    - #### getDayOrder

          public DayOrder getDayOrder()

      Gets the nth occurrence of the day that is specified in the DayOfWeek property that represents the date of transition from and to standard time and daylight saving time.
      Returns:
        the day order

    - #### setDayOrder

          public void setDayOrder(DayOrder dayOrder)

      Sets the nth occurrence of the day that is specified in the DayOfWeek property that represents the date of transition from and to standard time and daylight saving time.
      Parameters:
        `dayOrder` - the new day order

    - #### getMonth

          public Month getMonth()

      Gets the transition month of the year to and from standard time and daylight saving time.
      Returns:
        the month

    - #### setMonth

          public void setMonth(Month month)

      Sets the transition month of the year to and from standard time and daylight saving time.
      Parameters:
        `month` - the new month

    - #### getDayOfWeek

          public DayOfWeek getDayOfWeek()

      Gets the day of the week when the transition to and from standard time and daylight saving time occurs.
      Returns:
        the day of week

    - #### setDayOfWeek

          public void setDayOfWeek(DayOfWeek dayOfWeek)

      Sets the day of the week when the transition to and from standard time and daylight saving time occurs.
      Parameters:
        `dayOfWeek` - the new day of week

    - #### getYear

          public java.lang.String getYear()

      Gets the year.
      Returns:
        the year

    - #### setYear

          public void setYear(java.lang.String year)

      Sets the year.
      Parameters:
        `year` - the new year